docusign.account-permission-profiles.get-permission-profiles
This method returns a list of permission profiles that are associated with an account. Example: json { "permissionProfiles": [ { "permissionProfileId": "1665536", "permissionProfileName": "Account Administrator", "modifiedDateTime": "2018-03-26T03:54:40.4470000Z", "modifiedByUsername": "" }, { "permissionProfileId": "1665537", "permissionProfileName": "DocuSign Sender", "modifiedDateTime": "2018-03-26T03:54:40.4470000Z", "modifiedByUsername": "" }, { "permissionProfileId": "1665538", "permissionProfileName": "DocuSign Viewer", "modifiedDateTime": "2016-06-02T01:53:15.6830000Z", "modifiedByUsername": "" }, { "permissionProfileId": "10325926", "permissionProfileName": "DS Manage Company Member Accounts", "modifiedDateTime": "2020-05-15T00:28:36.8230000Z", "modifiedByUsername": "Nat Irving" } ] }
Gets a list of permission profiles.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
include | string | No | — | A comma-separated list of additional properties to return in the response. Valid values are: - user_count: The total number of users associated with the permission profile. - closed_users: Includes closed users in the user_count. - account_management: The account management settings. - metadata: Metadata indicating whether the properties associated with the account permission profile are editable. Example: user_count,closed_users |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
include | string | No | — | A comma-separated list of additional properties to return in the response. Valid values are: - user_count: The total number of users associated with the permission profile. - closed_users: Includes closed users in the user_count. - account_management: The account management settings. - metadata: Metadata indicating whether the properties associated with the account permission profile are editable. Example: user_count,closed_users |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/permission_profiles |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/permission_profiles |
* (any state) | fail | failed | Record the failure reason |
API Usage
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.account-permission-profiles.get-permission-profiles",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}